## gqrx-sdr 2.12.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

# Project name
project(gqrx)
set(${PROJECT_NAME}_MAJOR "2")
set(${PROJECT_NAME}_MINOR "12")
set(${PROJECT_NAME}_PATCH "1")
##set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
add_definitions(-DVERSION="${VERSION}")

# development version
execute_process(
    COMMAND git describe --long --dirty
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE GITVERSION
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
#add_definitions(-DVERSION="${GITVERSION}")

set(PACKAGE ${PROJECT_NAME})

########### Main global variables ###########
if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: Debug GProf Valgrind Release" FORCE)
endif()

set(BUILDTYPE ${CMAKE_BUILD_TYPE})
string(TOUPPER ${BUILDTYPE} BUILDTYPE)
add_definitions(-D${BUILDTYPE})

# We have some custom .cmake scripts not in the official distribution.
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/Modules)

# Add valgrind build options if necessary
if(${CMAKE_BUILD_TYPE} MATCHES "Valgrind")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -O0")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -O0")
endif()

# Workaround for naming collision with log4cpp for Debug builds
add_definitions(-DLOG4CPP_FIX_ERROR_COLLISION=1)

# Disable debug outputs in release builds
if(${CMAKE_BUILD_TYPE} MATCHES "Release" OR ${CMAKE_BUILD_TYPE} MATCHES "RelWithDebInfo")
    add_definitions(-DQT_NO_DEBUG_OUTPUT)
endif()

if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    # using regular Clang or AppleClang
    set(CMAKE_COMPILER_IS_CLANGXX 1)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANGXX)
    add_definitions(-Wall)
    add_definitions(-Wextra)
    add_definitions(-Wno-unused-parameter)
    add_definitions(-Wsign-compare)
endif()

if(MSVC)
    #get math definitions like M_PI
    add_definitions(-D_USE_MATH_DEFINES)

    #use std::min()/std::max()
    add_definitions(-DNOMINMAX)

    #needed to dynamically link boost
    add_definitions(-DBOOST_ALL_DYN_LINK)

    #export gr-rds symbols
    add_definitions(-Dgnuradio_RDS_EXPORTS)

    if ("${MSVC_VERSION}" VERSION_LESS "1900")
        add_definitions(-D__func__=__FUNCTION__)
    endif()
endif()

# Functions & macros.  These must be defined before including subdirectories.

# function to collect all the sources from sub-directories
# into a single list
function(add_source_files list)
    get_property(is_defined GLOBAL PROPERTY SRCS_LIST DEFINED)
    if(NOT is_defined)
        define_property(GLOBAL PROPERTY ${list}
            BRIEF_DOCS "List of source files"
            FULL_DOCS "List of source files to be compiled in one library")
    endif()
    # make absolute paths
    set(SRCS)
    foreach(s IN LISTS ARGN)
        if(NOT IS_ABSOLUTE "${s}")
            get_filename_component(s "${s}" ABSOLUTE)
        endif()
        list(APPEND SRCS "${s}")
    endforeach()
    # append to global list
    set_property(GLOBAL APPEND PROPERTY ${list} "${SRCS}")
endfunction(add_source_files)

if(APPLE AND EXISTS /usr/local/opt/qt5)
    # Homebrew installs Qt5 (up to at least 5.9.1) in
    # /usr/local/qt5, ensure it can be found by CMake since
    # it is not in the default /usr/local prefix.
    list(APPEND CMAKE_PREFIX_PATH "/usr/local/opt/qt5")
endif()

# 3rd Party Dependency Stuff
find_package(Qt5 COMPONENTS Core Network Widgets Svg REQUIRED)
find_package(Gnuradio-osmosdr REQUIRED)

set(GR_REQUIRED_COMPONENTS RUNTIME ANALOG AUDIO BLOCKS DIGITAL FILTER FFT PMT)
find_package(Gnuradio REQUIRED COMPONENTS analog audio blocks digital filter fft)

if(NOT Gnuradio_FOUND)
    message(FATAL_ERROR "GnuRadio Runtime required to compile gqrx")
endif()


# Pass the GNU Radio version as 0xMMNNPP BCD.
math(EXPR GNURADIO_BCD_VERSION
    "(${Gnuradio_VERSION_MAJOR} / 10) << 20 |
     (${Gnuradio_VERSION_MAJOR} % 10) << 16 |
     (${Gnuradio_VERSION_MINOR} / 10) << 12 |
     (${Gnuradio_VERSION_MINOR} % 10) <<  8 |
     (${Gnuradio_VERSION_PATCH} / 10) <<  4 |
     (${Gnuradio_VERSION_PATCH} % 10) <<  0
    "
)
add_definitions(-DGNURADIO_VERSION=${GNURADIO_BCD_VERSION})

if(Gnuradio_VERSION VERSION_LESS "3.8")
    find_package(Boost COMPONENTS system program_options REQUIRED)
endif()

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    if(NOT LINUX_AUDIO_BACKEND)
        set(LINUX_AUDIO_BACKEND Pulseaudio CACHE STRING "Choose the audio backend, options are: Pulseaudio, Portaudio, Gr-audio" FORCE)
    endif()

    if(${LINUX_AUDIO_BACKEND} MATCHES "Pulseaudio")
        find_package(PulseAudio REQUIRED)
        # there is a defect in the pulse audio cmake file that does not include this library. So we add it here.
        find_library(PULSE-SIMPLE NAMES pulse-simple REQUIRED)
        add_definitions(-DWITH_PULSEAUDIO)
        unset(PORTAUDIO_INCLUDE_DIRS CACHE)
        unset(PORTAUDIO_LIBRARIES CACHE)
    elseif(${LINUX_AUDIO_BACKEND} MATCHES "Portaudio")
        find_package(Portaudio REQUIRED)
        add_definitions(-DWITH_PORTAUDIO)
        unset(PULSEAUDIO_FOUND CACHE)
        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
        unset(PULSEAUDIO_LIBRARY CACHE)
        unset(PulseAudio_DIR CACHE)
        unset(PULSE-SIMPLE CACHE)
        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
        unset(PULSEAUDIO_MAINLOOP_LIBRARY CACHE)
    elseif(${LINUX_AUDIO_BACKEND} MATCHES "Gr-audio")
        unset(PULSEAUDIO_FOUND CACHE)
        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
        unset(PULSEAUDIO_LIBRARY CACHE)
        unset(PulseAudio_DIR CACHE)
        unset(PULSE-SIMPLE CACHE)
        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
        unset(PULSEAUDIO_MAINLOOP_LIBRARY CACHE)
        unset(PORTAUDIO_INCLUDE_DIRS CACHE)
        unset(PORTAUDIO_LIBRARIES CACHE)
    else()
        message(FATAL_ERROR "Invalid audio backend: should be either Pulseaudio, Portaudio or Gr-audio")
    endif()
endif()

if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    if(NOT OSX_AUDIO_BACKEND)
        set(OSX_AUDIO_BACKEND Portaudio CACHE STRING "Choose the audio backend, options are: Portaudio and Gr-audio" FORCE)
    endif()

    if(${OSX_AUDIO_BACKEND} MATCHES "Portaudio")
        find_package(Portaudio REQUIRED)
        add_definitions(-DWITH_PORTAUDIO)
        unset(PULSEAUDIO_FOUND CACHE)
        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
        unset(PULSEAUDIO_LIBRARY CACHE)
        unset(PulseAudio_DIR CACHE)
        unset(PULSE-SIMPLE CACHE)
        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
        unset(PULSEAUDIO_MAINLOOP_LIBRARY CACHE)
    elseif(${OSX_AUDIO_BACKEND} MATCHES "Gr-audio")
        unset(PULSEAUDIO_FOUND CACHE)
        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
        unset(PULSEAUDIO_LIBRARY CACHE)
        unset(PulseAudio_DIR CACHE)
        unset(PULSE-SIMPLE CACHE)
        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
        unset(PULSEAUDIO_MAINLOOP_LIBRARY CACHE)
        unset(PORTAUDIO_INCLUDE_DIRS CACHE)
        unset(PORTAUDIO_LIBRARIES CACHE)
    else()
        message(FATAL_ERROR "Invalid audio backend: should be either Portaudio or Gr-audio")
    endif()
endif()


# Airspy optimizations that require modified gr-osmosdr
option(CUSTOM_AIRSPY_KERNELS "Enable non-standard Airspy optimizations" ON)
if(CUSTOM_AIRSPY_KERNELS)
    add_definitions(-DCUSTOM_AIRSPY_KERNELS)
endif(CUSTOM_AIRSPY_KERNELS)


# Tell CMake to run moc when necessary:
set(CMAKE_AUTOMOC ON)
# As moc files are generated in the binary dir, tell CMake to always look for includes there:
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Finish configuring compiler / linker settings & flags
include_directories(
    ${CMAKE_SOURCE_DIR}/include
    ${Boost_INCLUDE_DIRS}
    ${GNURADIO_RUNTIME_INCLUDE_DIRS}
    ${GNURADIO_OSMOSDR_INCLUDE_DIRS}
)

link_directories(
    ${Boost_LIBRARY_DIRS}
    ${GNURADIO_RUNTIME_LIBRARY_DIRS}
)


# Add subdirectories
add_subdirectory(src)

# uninstall target
# https://cmake.org/Wiki/CMake_FAQ#Can_I_do_.22make_uninstall.22_with_CMake.3F
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)
add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

=== src/CMakeLists.txt ===
#######################################################################################################################
# Add the source subdirectories
add_subdirectory(applications)
add_subdirectory(dsp)
add_subdirectory(interfaces)
add_subdirectory(qtgui)
add_subdirectory(receivers)

if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    if(${OSX_AUDIO_BACKEND} MATCHES "Portaudio")
        add_subdirectory(portaudio)
    else()
        add_subdirectory(osxaudio)
    endif()
    add_definitions(-DGQRX_OS_MACX)
    set(CMAKE_OSX_DEPLOYMENT_TARGET 10.9)
elseif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    if(${LINUX_AUDIO_BACKEND} MATCHES "Pulseaudio")
        add_subdirectory(pulseaudio)
    elseif(${LINUX_AUDIO_BACKEND} MATCHES "Portaudio")
        add_subdirectory(portaudio)
    endif()
elseif(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
endif()

#######################################################################################################################
# bring in the global properties
get_property(${PROJECT_NAME}_SOURCE GLOBAL PROPERTY SRCS_LIST)
get_property(${PROJECT_NAME}_UI_SOURCE GLOBAL PROPERTY UI_SRCS_LIST)


#######################################################################################################################
# Process the UI files
QT5_WRAP_UI(UIS_HDRS
    ${${PROJECT_NAME}_UI_SOURCE}
)

#######################################################################################################################
# Process the resources
QT5_ADD_RESOURCES(RESOURCES_LIST
    ../resources/icons.qrc
    ../resources/textfiles.qrc
)

########################################################################
# Resource file - adds an icon to GQRX executable
if (WIN32)
    set(ICON_SOURCE ${CMAKE_SOURCE_DIR}/resources/icons/gqrx.ico)
    set(RES_FILES "${CMAKE_CURRENT_BINARY_DIR}/gqrx.rc")
    file(WRITE "${RES_FILES}" "id ICON \"${ICON_SOURCE}\"")
    set(CMAKE_RC_COMPILER_INIT windres)
    enable_language(RC)
    set(CMAKE_RC_COMPILE_OBJECT
        "<CMAKE_RC_COMPILER> <FLAGS> -O coff <DEFINES> -i <SOURCE> -o <OBJECT>")
    list(APPEND RESOURCES_LIST ${RES_FILES})
endif(WIN32)

#######################################################################################################################
# Build the program
add_executable(${PROJECT_NAME} ${${PROJECT_NAME}_SOURCE} ${UIS_HDRS} ${RESOURCES_LIST})
set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_STANDARD 11)
# The pulse libraries are only needed on Linux. On other platforms they will not be found, so having them here is fine.
target_link_libraries(${PROJECT_NAME}
    Qt5::Core
    Qt5::Network
    Qt5::Widgets
    Qt5::Svg
    ${Boost_LIBRARIES}
    ${GNURADIO_ALL_LIBRARIES}
    ${GNURADIO_OSMOSDR_LIBRARIES}
    ${PULSEAUDIO_LIBRARY}
    ${PULSE-SIMPLE}
    ${PORTAUDIO_LIBRARIES}
)

if(NOT Gnuradio_VERSION VERSION_LESS "3.8")
    target_link_libraries(${PROJECT_NAME}
        gnuradio::gnuradio-analog
        gnuradio::gnuradio-blocks
        gnuradio::gnuradio-digital
        gnuradio::gnuradio-filter
        gnuradio::gnuradio-audio
    )
endif()

#build a win32 app, not a console app
if (WIN32)
    set(CMAKE_EXE_LINKER_FLAGS "/entry:mainCRTStartup ${CMAKE_EXE_LINKER_FLAGS}")
    set_target_properties(${PROJECT_NAME} PROPERTIES WIN32_EXECUTABLE ON)
endif (WIN32)

set(INSTALL_DEFAULT_BINDIR "bin" CACHE STRING "Appended to CMAKE_INSTALL_PREFIX")
install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

=== src/applications/CMakeLists.txt ===
#######################################################################################################################
# Add the source files to SRCS_LIST
add_source_files(SRCS_LIST
	gqrx/gqrx.h
	gqrx/main.cpp
	gqrx/mainwindow.cpp
	gqrx/mainwindow.h
	gqrx/receiver.cpp
	gqrx/receiver.h
	gqrx/remote_control_settings.cpp
	gqrx/remote_control_settings.h
	gqrx/remote_control.cpp
	gqrx/remote_control.h
	gqrx/file_resources.cpp
)

#######################################################################################################################
# Add the UI files to UI_SRCS_LIST
add_source_files(UI_SRCS_LIST
	gqrx/mainwindow.ui
	gqrx/remote_control_settings.ui
)

=== src/dsp/CMakeLists.txt ===

# Add the source files to SRCS_LIST
add_source_files(SRCS_LIST
	afsk1200/cafsk12.cpp
	afsk1200/cafsk12.h
	afsk1200/costabf.c
	afsk1200/filter-i386.h
	afsk1200/filter.h
    filter/fir_decim.cpp
    filter/fir_decim.h
    filter/fir_decim_coef.h
	rds/api.h
	rds/constants.h
	rds/decoder_impl.cc
	rds/decoder_impl.h
	rds/decoder.h
	rds/parser_impl.cc
	rds/parser_impl.h
	rds/parser.h
	rds/tmc_events.h
	agc_impl.cpp
	agc_impl.h
	correct_iq_cc.cpp
	correct_iq_cc.h
	lpf.cpp
	lpf.h
	resampler_xx.cpp
	resampler_xx.h
	rx_agc_xx.cpp
	rx_agc_xx.h
	rx_demod_am.cpp
	rx_demod_am.h
	rx_demod_fm.cpp
	rx_demod_fm.h
	rx_fft.cpp
	rx_fft.h
	rx_filter.cpp
	rx_filter.h
	rx_meter.cpp
	rx_meter.h
	rx_noise_blanker_cc.cpp
	rx_noise_blanker_cc.h
	rx_rds.cpp
	rx_rds.h
	sniffer_f.cpp
	sniffer_f.h
	stereo_demod.cpp
	stereo_demod.h
)

=== src/interfaces/CMakeLists.txt ===
#######################################################################################################################
# Add the source files to SRCS_LIST
add_source_files(SRCS_LIST
	udp_sink_f.cpp
	udp_sink_f.h
)

=== debian/changelog ===
gqrx-sdr (2.12.1-1build2) focal; urgency=medium

  * No-change rebuild against new gr-osmosdr.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 29 Feb 2020 18:13:57 -0500

gqrx-sdr (2.12.1-1build1) focal; urgency=medium

  * No-change rebuild for gnuradio soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Feb 2020 11:35:17 +0100

gqrx-sdr (2.12.1-1) unstable; urgency=medium

  * New upstream release
  * update to v2.12.1-8-g8c1d8d4

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 02 Feb 2020 21:13:01 -0500

gqrx-sdr (2.11.5-2) unstable; urgency=medium

  * update to argilo/maint-3.8 v2.11.5-13-ga02d54c
  * Build using gnuradio 3.8

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 06 Sep 2019 00:05:34 -0400

=== debian/control ===
Source: gqrx-sdr
Section: hamradio
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake (>=2.8),
               debhelper (>= 12~),
               gnuradio-dev (>=3.7.12.0),
	       gr-iio,
               gr-osmosdr (>=0.1.4-13),
               libasound2-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
	       libboost-regex-dev,
               libboost-system-dev,
               libfftw3-dev,
	       libgmp-dev,
               libgsl0-dev,
	       libjack-jackd2-dev,
               liblog4cpp5-dev,
	       liborc-0.4-dev,
               libpulse-dev,
               libqt5svg5-dev,
	       libsoapysdr-dev,
               libudev-dev [linux-any],
               pkg-config,
	       portaudio19-dev,
               qt5-qmake,
               qtbase5-dev,
               qtbase5-dev-tools,
               qtchooser
Standards-Version: 4.4.0
Homepage: http://gqrx.dk/
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gqrx-sdr
Vcs-Git: https://salsa.debian.org/bottoms/pkg-gqrx-sdr.git

Package: gqrx-sdr
Architecture: any
Depends: pulseaudio, ${misc:Depends}, ${shlibs:Depends}
Conflicts: gqrx (<= 2.3.0-0kali4)
Replaces: gqrx (<= 2.3.0-0kali4)
Description: Software defined radio receiver
 Gqrx supports many of the SDR hardware available, including Funcube
 Dongles, rtl-sdr, HackRF and USRP devices.
 .
 Includes AM, SSB, FM-N and FM-W (mono and stereo) demodulators, and
 Special FM mode for NOAA APT. Displays FFT plot and spectrum waterfall.
 .
 It is powered by GNU Radio and the Qt GUI toolkit.

## gqrx-sdr 2.13.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-cmake_minimum_required(VERSION 2.8.11)
+cmake_minimum_required(VERSION 3.2)
 
 # Project name
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
-set(${PROJECT_NAME}_MINOR "12")
-set(${PROJECT_NAME}_PATCH "1")
+set(${PROJECT_NAME}_MINOR "13")
+set(${PROJECT_NAME}_PATCH "3")
 ##set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
-set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
-add_definitions(-DVERSION="${VERSION}")
+##set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
+##add_definitions(-DVERSION="${VERSION}")
 
 # development version
 execute_process(
@@ -16,7 +16,7 @@
     OUTPUT_VARIABLE GITVERSION
     OUTPUT_STRIP_TRAILING_WHITESPACE
 )
-#add_definitions(-DVERSION="${GITVERSION}")
+add_definitions(-DVERSION="${GITVERSION}")
 
 set(PACKAGE ${PROJECT_NAME})
 
@@ -112,6 +112,9 @@
 
 set(GR_REQUIRED_COMPONENTS RUNTIME ANALOG AUDIO BLOCKS DIGITAL FILTER FFT PMT)
 find_package(Gnuradio REQUIRED COMPONENTS analog audio blocks digital filter fft)
+if(Gnuradio_VERSION VERSION_LESS "3.8")
+    find_package(Volk)
+endif()
 
 if(NOT Gnuradio_FOUND)
     message(FATAL_ERROR "GnuRadio Runtime required to compile gqrx")
@@ -131,7 +134,7 @@
 add_definitions(-DGNURADIO_VERSION=${GNURADIO_BCD_VERSION})
 
 if(Gnuradio_VERSION VERSION_LESS "3.8")
-    find_package(Boost COMPONENTS system program_options REQUIRED)
+    find_package(Boost COMPONENTS system REQUIRED)
 endif()
 
 if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
@@ -147,7 +150,11 @@
         unset(PORTAUDIO_INCLUDE_DIRS CACHE)
         unset(PORTAUDIO_LIBRARIES CACHE)
     elseif(${LINUX_AUDIO_BACKEND} MATCHES "Portaudio")
-        find_package(Portaudio REQUIRED)
+        if(Gnuradio_VERSION VERSION_LESS "3.8")
+            find_package(Portaudio REQUIRED)
+        else()
+            find_package(PORTAUDIO REQUIRED)
+        endif()
         add_definitions(-DWITH_PORTAUDIO)
         unset(PULSEAUDIO_FOUND CACHE)
         unset(PULSEAUDIO_INCLUDE_DIR CACHE)

=== debian/changelog ===
gqrx-sdr (2.13.3-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 06 Nov 2020 10:22:22 -0500

gqrx-sdr (2.13.3-1) unstable; urgency=medium

  * New upstream release
    FIXED: Crash when waterfall height is set to 100%.
    NEW: Preliminary support for GNU Radio 3.9.
    NEW: Print UDP configuration.
    NEW: Viridis color map.
    FIXED: Loss of precision in the plotter's frequency axis.
    FIXED: Usability on smaller screen sizes.
  * update Standards-version

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 01 Nov 2020 14:34:57 -0500

gqrx-sdr (2.13.1-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 17 Oct 2020 13:17:03 -0400

gqrx-sdr (2.13-1) unstable; urgency=medium

  * New upstream release
  * update to v2.13-2-g19772b1

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 17 Oct 2020 13:16:36 -0400

=== debian/control ===
Source: gqrx-sdr
Section: hamradio
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake (>=3.2),
	       debhelper-compat (= 13),
               gnuradio-dev (>=3.8.0.0),
	       gr-iio,
               gr-osmosdr (>=0.2),
               libasound2-dev,
               libboost-filesystem-dev,
	       libboost-regex-dev,
               libboost-system-dev,
               libfftw3-dev,
	       libgmp-dev,
               libgsl0-dev,
	       libjack-jackd2-dev,
               liblog4cpp5-dev,
               libpulse-dev,
               libqt5svg5-dev,
	       libsoapysdr-dev,
	       libvolk2-dev,
               pkg-config,
	       portaudio19-dev,
               qt5-qmake,
               qtbase5-dev,
               qtbase5-dev-tools,
               qtchooser
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://gqrx.dk/
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gqrx-sdr
Vcs-Git: https://salsa.debian.org/bottoms/pkg-gqrx-sdr.git

Package: gqrx-sdr
Architecture: any
Depends: pulseaudio, ${misc:Depends}, ${shlibs:Depends}
Breaks: gqrx (<= 2.3.0-0kali4)
Replaces: gqrx (<= 2.3.0-0kali4)
Description: Software defined radio receiver
 Gqrx supports many of the SDR hardware available, including Funcube
 Dongles, rtl-sdr, HackRF and USRP devices.
 .
 Includes AM, SSB, FM-N and FM-W (mono and stereo) demodulators, and
 Special FM mode for NOAA APT. Displays FFT plot and spectrum waterfall.
 .
 It is powered by GNU Radio and the Qt GUI toolkit.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

QT_SELECT=qt5
export QT_SELECT

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## gqrx-sdr 2.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,20 +3,25 @@
 # Project name
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
-set(${PROJECT_NAME}_MINOR "13")
-set(${PROJECT_NAME}_PATCH "3")
-##set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
-##set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
-##add_definitions(-DVERSION="${VERSION}")
-
-# development version
-execute_process(
-    COMMAND git describe --long --dirty
-    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
-    OUTPUT_VARIABLE GITVERSION
-    OUTPUT_STRIP_TRAILING_WHITESPACE
-)
-add_definitions(-DVERSION="${GITVERSION}")
+set(${PROJECT_NAME}_MINOR "14")
+set(${PROJECT_NAME}_PATCH "0")
+set(IS_RELEASE TRUE)
+
+if(IS_RELEASE)
+    if(${PROJECT_NAME}_PATCH EQUAL 0)
+        set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
+    else()
+        set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
+    endif()
+else()
+    execute_process(
+        COMMAND git describe --long --dirty
+        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+        OUTPUT_VARIABLE VERSION
+        OUTPUT_STRIP_TRAILING_WHITESPACE
+    )
+endif()
+add_definitions(-DVERSION="${VERSION}")
 
 set(PACKAGE ${PROJECT_NAME})
 
@@ -184,7 +189,11 @@
     endif()
 
     if(${OSX_AUDIO_BACKEND} MATCHES "Portaudio")
-        find_package(Portaudio REQUIRED)
+        if(Gnuradio_VERSION VERSION_LESS "3.8")
+            find_package(Portaudio REQUIRED)
+        else()
+            find_package(PORTAUDIO REQUIRED)
+        endif()
         add_definitions(-DWITH_PORTAUDIO)
         unset(PULSEAUDIO_FOUND CACHE)
         unset(PULSEAUDIO_INCLUDE_DIR CACHE)

=== debian/changelog ===
gqrx-sdr (2.14-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 21 Nov 2020 19:30:55 -0500

gqrx-sdr (2.13.5-1) unstable; urgency=medium

  * New upstream release
  FIXED: Set correct buffer size for audio FFT.
  NEW: Added man page for use by distributions.
  FIXED: Crash when time span is set and waterfall height is set to 0%.
  FIXED: Filter width is incorrectly set when demod is off.
  IMPROVED: Removed Boost.Format dependency.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 08 Nov 2020 00:52:22 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gqrx-sdr
 Section: hamradio
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
+Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake (>=3.2),
 	       debhelper-compat (= 13),
                gnuradio-dev (>=3.8.0.0),

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,3 @@
 
 %:
 	dh $@
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## gqrx-sdr 2.14.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
 set(${PROJECT_NAME}_MINOR "14")
-set(${PROJECT_NAME}_PATCH "0")
+set(${PROJECT_NAME}_PATCH "4")
 set(IS_RELEASE TRUE)
 
 if(IS_RELEASE)
@@ -22,6 +22,7 @@
     )
 endif()
 add_definitions(-DVERSION="${VERSION}")
+file(WRITE version.txt ${VERSION})
 
 set(PACKAGE ${PROJECT_NAME})
 
@@ -45,11 +46,6 @@
 
 # Workaround for naming collision with log4cpp for Debug builds
 add_definitions(-DLOG4CPP_FIX_ERROR_COLLISION=1)
-
-# Disable debug outputs in release builds
-if(${CMAKE_BUILD_TYPE} MATCHES "Release" OR ${CMAKE_BUILD_TYPE} MATCHES "RelWithDebInfo")
-    add_definitions(-DQT_NO_DEBUG_OUTPUT)
-endif()
 
 if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
     # using regular Clang or AppleClang
@@ -111,6 +107,15 @@
     list(APPEND CMAKE_PREFIX_PATH "/usr/local/opt/qt5")
 endif()
 
+if(APPLE AND EXISTS /usr/local/opt/icu4c/lib)
+    # With Homebrew icu4c, `-licudata -licui18n -licuuc`
+    # are required, which reside in /usr/local/opt/icu4c/lib.
+    # See src/CMakeFiles/gqrx.dir/link.txt in the build directory.
+    set(ICU4C_LIBRARY_DIRS "/usr/local/opt/icu4c/lib")
+else()
+    set(ICU4C_LIBRARY_DIRS "")
+endif()
+
 # 3rd Party Dependency Stuff
 find_package(Qt5 COMPONENTS Core Network Widgets Svg REQUIRED)
 find_package(Gnuradio-osmosdr REQUIRED)
@@ -142,12 +147,13 @@
     find_package(Boost COMPONENTS system REQUIRED)
 endif()
 
-if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+if(${CMAKE_SYSTEM_NAME} MATCHES "Linux|FreeBSD")
     if(NOT LINUX_AUDIO_BACKEND)
         set(LINUX_AUDIO_BACKEND Pulseaudio CACHE STRING "Choose the audio backend, options are: Pulseaudio, Portaudio, Gr-audio" FORCE)
     endif()
 
     if(${LINUX_AUDIO_BACKEND} MATCHES "Pulseaudio")
+        message(STATUS "Pulseaudio backend enabled")
         find_package(PulseAudio REQUIRED)
         # there is a defect in the pulse audio cmake file that does not include this library. So we add it here.
         find_library(PULSE-SIMPLE NAMES pulse-simple REQUIRED)
@@ -155,6 +161,7 @@
         unset(PORTAUDIO_INCLUDE_DIRS CACHE)
         unset(PORTAUDIO_LIBRARIES CACHE)
     elseif(${LINUX_AUDIO_BACKEND} MATCHES "Portaudio")
+        message(STATUS "Portaudio backend enabled")
         if(Gnuradio_VERSION VERSION_LESS "3.8")
             find_package(Portaudio REQUIRED)
         else()
@@ -169,6 +176,7 @@
         unset(PULSEAUDIO_INCLUDE_DIR CACHE)
         unset(PULSEAUDIO_MAINLOOP_LIBRARY CACHE)
     elseif(${LINUX_AUDIO_BACKEND} MATCHES "Gr-audio")
+        message(STATUS "Gr-audio backend enabled")
         unset(PULSEAUDIO_FOUND CACHE)
         unset(PULSEAUDIO_INCLUDE_DIR CACHE)
         unset(PULSEAUDIO_LIBRARY CACHE)
@@ -189,6 +197,7 @@
     endif()
 
     if(${OSX_AUDIO_BACKEND} MATCHES "Portaudio")
+        message(STATUS "Portaudio backend enabled")
         if(Gnuradio_VERSION VERSION_LESS "3.8")
             find_package(Portaudio REQUIRED)
         else()
@@ -203,6 +212,7 @@
         unset(PULSEAUDIO_INCLUDE_DIR CACHE)
         unset(PULSEAUDIO_MAINLOOP_LIBRARY CACHE)
     elseif(${OSX_AUDIO_BACKEND} MATCHES "Gr-audio")
+        message(STATUS "Gr-audio backend enabled")
         unset(PULSEAUDIO_FOUND CACHE)
         unset(PULSEAUDIO_INCLUDE_DIR CACHE)
         unset(PULSEAUDIO_LIBRARY CACHE)
@@ -241,6 +251,7 @@
 link_directories(
     ${Boost_LIBRARY_DIRS}
     ${GNURADIO_RUNTIME_LIBRARY_DIRS}
+    ${ICU4C_LIBRARY_DIRS}
 )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,8 +13,7 @@
         add_subdirectory(osxaudio)
     endif()
     add_definitions(-DGQRX_OS_MACX)
-    set(CMAKE_OSX_DEPLOYMENT_TARGET 10.9)
-elseif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+elseif(${CMAKE_SYSTEM_NAME} MATCHES "Linux|FreeBSD")
     if(${LINUX_AUDIO_BACKEND} MATCHES "Pulseaudio")
         add_subdirectory(pulseaudio)
     elseif(${LINUX_AUDIO_BACKEND} MATCHES "Portaudio")
@@ -71,6 +70,7 @@
     ${PULSEAUDIO_LIBRARY}
     ${PULSE-SIMPLE}
     ${PORTAUDIO_LIBRARIES}
+    ${VOLK_LIBRARIES}
 )
 
 if(NOT Gnuradio_VERSION VERSION_LESS "3.8")
@@ -80,6 +80,7 @@
         gnuradio::gnuradio-digital
         gnuradio::gnuradio-filter
         gnuradio::gnuradio-audio
+        Volk::volk
     )
 endif()

=== debian/changelog ===
gqrx-sdr (2.14.4-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 28 Dec 2020 19:25:53 -0500

gqrx-sdr (2.14.3-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 09 Dec 2020 11:27:41 -0500

=== debian/control ===
--- 
+++ 
@@ -20,13 +20,14 @@
                libqt5svg5-dev,
 	       libsoapysdr-dev,
 	       libvolk2-dev,
+	       ninja-build,
                pkg-config,
 	       portaudio19-dev,
                qt5-qmake,
                qtbase5-dev,
                qtbase5-dev-tools,
                qtchooser
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://gqrx.dk/
 Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gqrx-sdr

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure  --buildsystem=cmake+ninja -- -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_test:
	echo "No tests defined in gqrx"

## gqrx-sdr 2.15.4

=== debian/changelog ===
gqrx-sdr (2.15.4-1) unstable; urgency=medium

  * New upstream release.
  * updated Build-depends (Closes: #1003312)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 16 Jan 2022 15:21:59 -0500

gqrx-sdr (2.14.6-1) unstable; urgency=medium

  * New upstream release.
  * remove unnecessary pulseaudio dependency (Closes: #989625)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 10 Dec 2021 23:24:11 -0500

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake (>=3.2),
 	       debhelper-compat (= 13),
-               gnuradio-dev (>=3.8.0.0),
-	       gr-iio,
+               gnuradio-dev,
                gr-osmosdr (>=0.2),
                libasound2-dev,
                libboost-filesystem-dev,
@@ -18,7 +17,9 @@
                liblog4cpp5-dev,
                libpulse-dev,
                libqt5svg5-dev,
+	       libsndfile1-dev,
 	       libsoapysdr-dev,
+	       libspdlog-dev,
 	       libvolk2-dev,
 	       ninja-build,
                pkg-config,
@@ -27,7 +28,7 @@
                qtbase5-dev,
                qtbase5-dev-tools,
                qtchooser
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://gqrx.dk/
 Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gqrx-sdr
@@ -35,7 +36,7 @@
 
 Package: gqrx-sdr
 Architecture: any
-Depends: pulseaudio, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: gqrx (<= 2.3.0-0kali4)
 Replaces: gqrx (<= 2.3.0-0kali4)
 Description: Software defined radio receiver

## gqrx-sdr 2.15.5

=== debian/changelog ===
gqrx-sdr (2.15.5-1) unstable; urgency=medium

  * New upstream release.
  * upstream updated gqrx.desktop (Closes: #1000331)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 20 Jan 2022 21:30:17 -0500

## gqrx-sdr 2.15.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # Project name
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
-set(${PROJECT_NAME}_MINOR "14")
-set(${PROJECT_NAME}_PATCH "4")
+set(${PROJECT_NAME}_MINOR "15")
+set(${PROJECT_NAME}_PATCH "6")
 set(IS_RELEASE TRUE)
 
 if(IS_RELEASE)
@@ -118,18 +118,16 @@
 
 # 3rd Party Dependency Stuff
 find_package(Qt5 COMPONENTS Core Network Widgets Svg REQUIRED)
+include(FindPkgConfig)
 find_package(Gnuradio-osmosdr REQUIRED)
 
 set(GR_REQUIRED_COMPONENTS RUNTIME ANALOG AUDIO BLOCKS DIGITAL FILTER FFT PMT)
-find_package(Gnuradio REQUIRED COMPONENTS analog audio blocks digital filter fft)
-if(Gnuradio_VERSION VERSION_LESS "3.8")
-    find_package(Volk)
-endif()
-
+find_package(Gnuradio REQUIRED COMPONENTS analog audio blocks digital filter fft network)
 if(NOT Gnuradio_FOUND)
     message(FATAL_ERROR "GnuRadio Runtime required to compile gqrx")
 endif()
 
+find_package(Volk)
 
 # Pass the GNU Radio version as 0xMMNNPP BCD.
 math(EXPR GNURADIO_BCD_VERSION
@@ -243,17 +241,33 @@
 # Finish configuring compiler / linker settings & flags
 include_directories(
     ${CMAKE_SOURCE_DIR}/include
-    ${Boost_INCLUDE_DIRS}
-    ${GNURADIO_RUNTIME_INCLUDE_DIRS}
     ${GNURADIO_OSMOSDR_INCLUDE_DIRS}
 )
 
 link_directories(
-    ${Boost_LIBRARY_DIRS}
     ${GNURADIO_RUNTIME_LIBRARY_DIRS}
     ${ICU4C_LIBRARY_DIRS}
 )
 
+if(Gnuradio_VERSION VERSION_LESS "3.8")
+    include_directories(
+        ${Boost_INCLUDE_DIRS}
+        ${GNURADIO_RUNTIME_INCLUDE_DIRS}
+    )
+
+    link_directories(
+        ${Boost_LIBRARY_DIRS}
+    )
+endif()
+
+# Install desktop
+install(FILES gqrx.desktop DESTINATION share/applications)
+
+# Install appstream / metainfo file
+install(FILES gqrx.appdata.xml DESTINATION share/metainfo)
+
+# Install icon
+install(FILES resources/icons/gqrx.svg DESTINATION share/icons/hicolor/scalable/apps)
 
 # Add subdirectories
 add_subdirectory(src)

=== debian/changelog ===
gqrx-sdr (2.15.6-1) unstable; urgency=medium

  * remove unnecessary dependencies

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 22 Jan 2022 14:54:30 -0500

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,18 @@
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake (>=3.2),
-	       debhelper-compat (= 13),
+               debhelper-compat (= 13),
                gnuradio-dev,
                gr-osmosdr (>=0.2),
                libasound2-dev,
-               libboost-filesystem-dev,
-	       libboost-regex-dev,
-               libboost-system-dev,
-               libfftw3-dev,
-	       libgmp-dev,
-               libgsl0-dev,
-	       libjack-jackd2-dev,
-               liblog4cpp5-dev,
+               libjack-jackd2-dev,
                libpulse-dev,
                libqt5svg5-dev,
-	       libsndfile1-dev,
-	       libsoapysdr-dev,
-	       libspdlog-dev,
-	       libvolk2-dev,
-	       ninja-build,
+               libsndfile1-dev,
+               libvolk2-dev,
+               ninja-build,
                pkg-config,
-	       portaudio19-dev,
-               qt5-qmake,
+               portaudio19-dev,
                qtbase5-dev,
                qtbase5-dev-tools,
                qtchooser

## gqrx-sdr 2.15.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
 set(${PROJECT_NAME}_MINOR "15")
-set(${PROJECT_NAME}_PATCH "6")
+set(${PROJECT_NAME}_PATCH "8")
 set(IS_RELEASE TRUE)
 
 if(IS_RELEASE)
@@ -261,10 +261,10 @@
 endif()
 
 # Install desktop
-install(FILES gqrx.desktop DESTINATION share/applications)
+install(FILES dk.gqrx.gqrx.desktop DESTINATION share/applications)
 
 # Install appstream / metainfo file
-install(FILES gqrx.appdata.xml DESTINATION share/metainfo)
+install(FILES dk.gqrx.gqrx.appdata.xml DESTINATION share/metainfo)
 
 # Install icon
 install(FILES resources/icons/gqrx.svg DESTINATION share/icons/hicolor/scalable/apps)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#######################################################################################################################
+###############################################################################
 # Add the source subdirectories
 add_subdirectory(applications)
 add_subdirectory(dsp)
@@ -22,26 +22,25 @@
 elseif(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
 endif()
 
-#######################################################################################################################
+###############################################################################
 # bring in the global properties
 get_property(${PROJECT_NAME}_SOURCE GLOBAL PROPERTY SRCS_LIST)
 get_property(${PROJECT_NAME}_UI_SOURCE GLOBAL PROPERTY UI_SRCS_LIST)
 
-
-#######################################################################################################################
+###############################################################################
 # Process the UI files
 QT5_WRAP_UI(UIS_HDRS
     ${${PROJECT_NAME}_UI_SOURCE}
 )
 
-#######################################################################################################################
+###############################################################################
 # Process the resources
 QT5_ADD_RESOURCES(RESOURCES_LIST
     ../resources/icons.qrc
     ../resources/textfiles.qrc
 )
 
-########################################################################
+###############################################################################
 # Resource file - adds an icon to GQRX executable
 if (WIN32)
     set(ICON_SOURCE ${CMAKE_SOURCE_DIR}/resources/icons/gqrx.ico)
@@ -54,26 +53,34 @@
     list(APPEND RESOURCES_LIST ${RES_FILES})
 endif(WIN32)
 
-#######################################################################################################################
+###############################################################################
 # Build the program
 add_executable(${PROJECT_NAME} ${${PROJECT_NAME}_SOURCE} ${UIS_HDRS} ${RESOURCES_LIST})
-set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_STANDARD 11)
-# The pulse libraries are only needed on Linux. On other platforms they will not be found, so having them here is fine.
+set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_STANDARD 14)
+# The pulse libraries are only needed on Linux. On other platforms they will
+# not be found, so having them here is fine.
 target_link_libraries(${PROJECT_NAME}
     Qt5::Core
     Qt5::Network
     Qt5::Widgets
     Qt5::Svg
-    ${Boost_LIBRARIES}
-    ${GNURADIO_ALL_LIBRARIES}
     ${GNURADIO_OSMOSDR_LIBRARIES}
     ${PULSEAUDIO_LIBRARY}
     ${PULSE-SIMPLE}
     ${PORTAUDIO_LIBRARIES}
-    ${VOLK_LIBRARIES}
 )
 
-if(NOT Gnuradio_VERSION VERSION_LESS "3.8")
+if(NOT Gnuradio_VERSION VERSION_LESS "3.10")
+    target_link_libraries(${PROJECT_NAME}
+        gnuradio::gnuradio-analog
+        gnuradio::gnuradio-blocks
+        gnuradio::gnuradio-digital
+        gnuradio::gnuradio-filter
+        gnuradio::gnuradio-network
+        gnuradio::gnuradio-audio
+        Volk::volk
+    )
+elseif(NOT Gnuradio_VERSION VERSION_LESS "3.8")
     target_link_libraries(${PROJECT_NAME}
         gnuradio::gnuradio-analog
         gnuradio::gnuradio-blocks
@@ -81,6 +88,12 @@
         gnuradio::gnuradio-filter
         gnuradio::gnuradio-audio
         Volk::volk
+    )
+else()
+    target_link_libraries(${PROJECT_NAME}
+        ${Boost_LIBRARIES}
+        ${GNURADIO_ALL_LIBRARIES}
+        ${VOLK_LIBRARIES}
     )
 endif()

=== debian/changelog ===
gqrx-sdr (2.15.8-1build2) kinetic; urgency=medium

  * No-change rebuild against libgnuradio-runtime3.10.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 20 May 2022 01:03:43 +0000

gqrx-sdr (2.15.8-1build1) jammy; urgency=medium

  * No-change rebuild against gnuradio 3.10.1

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 08 Feb 2022 21:06:52 +0000

gqrx-sdr (2.15.8-1) unstable; urgency=medium

  * New upstream release.
    fixed bug that caused a segfault when DSP paused for too long.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 25 Jan 2022 20:43:51 -0500

gqrx-sdr (2.15.7-1) unstable; urgency=medium

  * New upstream release,
    Fix errors & warnings in appstream metadata & desktop entry

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 23 Jan 2022 12:12:37 -0500

=== debian/control ===
Source: gqrx-sdr
Section: hamradio
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake (>=3.2),
               debhelper-compat (= 13),
               gnuradio-dev,
               gr-osmosdr (>=0.2),
               libasound2-dev,
               libjack-jackd2-dev,
               libpulse-dev,
               libqt5svg5-dev,
               libsndfile1-dev,
               libvolk2-dev,
               portaudio19-dev,
               qtbase5-dev,
               qtbase5-dev-tools,
               qtchooser
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: http://gqrx.dk/
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gqrx-sdr
Vcs-Git: https://salsa.debian.org/bottoms/pkg-gqrx-sdr.git

Package: gqrx-sdr
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: gqrx (<= 2.3.0-0kali4)
Replaces: gqrx (<= 2.3.0-0kali4)
Description: Software defined radio receiver
 Gqrx works with hardware supported by gr-osmosdr, including Funcube
 Dongle, RTL-SDR, Airspy, HackRF, BladeRF, RFSpace, USRP and SoapySDR.
 .
 Gqrx can operate as an AM/FM/SSB receiver with audio output or as an
 FFT-only instrument. The built-in Gqrx AFSK1200 decoder can decode
 and display AX.25 packets.  There are also various hooks for
 interacting with external applications using network sockets.
 .
 Wideband FM mode has mono, stereo, and RDS (Radio Data System) modes.
 Displays FFT plot and spectrum waterfall.
 .
 It is powered by GNU Radio and the Qt GUI toolkit.

## gqrx-sdr 2.15.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
 set(${PROJECT_NAME}_MINOR "15")
-set(${PROJECT_NAME}_PATCH "8")
+set(${PROJECT_NAME}_PATCH "9")
 set(IS_RELEASE TRUE)
 
 if(IS_RELEASE)
@@ -102,9 +102,13 @@
 
 if(APPLE AND EXISTS /usr/local/opt/qt5)
     # Homebrew installs Qt5 (up to at least 5.9.1) in
-    # /usr/local/qt5, ensure it can be found by CMake since
+    # /usr/local/opt/qt5, ensure it can be found by CMake since
     # it is not in the default /usr/local prefix.
     list(APPEND CMAKE_PREFIX_PATH "/usr/local/opt/qt5")
+endif()
+
+if(APPLE AND EXISTS /usr/local/opt/qt6)
+    list(APPEND CMAKE_PREFIX_PATH "/usr/local/opt/qt6")
 endif()
 
 if(APPLE AND EXISTS /usr/local/opt/icu4c/lib)
@@ -117,7 +121,10 @@
 endif()
 
 # 3rd Party Dependency Stuff
-find_package(Qt5 COMPONENTS Core Network Widgets Svg REQUIRED)
+find_package(Qt6 QUIET COMPONENTS Core Network Widgets Svg SvgWidgets)
+if(NOT Qt6_FOUND)
+    find_package(Qt5 REQUIRED COMPONENTS Core Network Widgets Svg)
+endif()
 include(FindPkgConfig)
 find_package(Gnuradio-osmosdr REQUIRED)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -29,16 +29,29 @@
 
 ###############################################################################
 # Process the UI files
-QT5_WRAP_UI(UIS_HDRS
-    ${${PROJECT_NAME}_UI_SOURCE}
-)
+if(Qt6_FOUND)
+    QT_WRAP_UI(UIS_HDRS
+        ${${PROJECT_NAME}_UI_SOURCE}
+    )
+else()
+    QT5_WRAP_UI(UIS_HDRS
+        ${${PROJECT_NAME}_UI_SOURCE}
+    )
+endif()
 
 ###############################################################################
 # Process the resources
-QT5_ADD_RESOURCES(RESOURCES_LIST
-    ../resources/icons.qrc
-    ../resources/textfiles.qrc
-)
+if(Qt6_FOUND)
+    QT_ADD_RESOURCES(RESOURCES_LIST
+        ../resources/icons.qrc
+        ../resources/textfiles.qrc
+    )
+else()
+    QT5_ADD_RESOURCES(RESOURCES_LIST
+        ../resources/icons.qrc
+        ../resources/textfiles.qrc
+    )
+endif()
 
 ###############################################################################
 # Resource file - adds an icon to GQRX executable
@@ -56,14 +69,32 @@
 ###############################################################################
 # Build the program
 add_executable(${PROJECT_NAME} ${${PROJECT_NAME}_SOURCE} ${UIS_HDRS} ${RESOURCES_LIST})
-set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_STANDARD 14)
+if(Qt6_FOUND)
+    set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_STANDARD 17)
+else()
+    set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_STANDARD 14)
+endif()
 # The pulse libraries are only needed on Linux. On other platforms they will
 # not be found, so having them here is fine.
+
+if(Qt6_FOUND)
+    target_link_libraries(${PROJECT_NAME}
+        Qt6::Core
+        Qt6::Network
+        Qt6::Widgets
+        Qt6::Svg
+        Qt6::SvgWidgets
+    )
+else()
+    target_link_libraries(${PROJECT_NAME}
+        Qt5::Core
+        Qt5::Network
+        Qt5::Widgets
+        Qt5::Svg
+    )
+endif()
+
 target_link_libraries(${PROJECT_NAME}
-    Qt5::Core
-    Qt5::Network
-    Qt5::Widgets
-    Qt5::Svg
     ${GNURADIO_OSMOSDR_LIBRARIES}
     ${PULSEAUDIO_LIBRARY}
     ${PULSE-SIMPLE}

=== debian/changelog ===
gqrx-sdr (2.15.9-1) unstable; urgency=medium

  * New upstream release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 24 Aug 2022 20:17:08 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: gqrx-sdr
 Section: hamradio
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
+Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake (>=3.2),
                debhelper-compat (= 13),
                gnuradio-dev,
                gr-osmosdr (>=0.2),
                libasound2-dev,
+	       libgl-dev,
                libjack-jackd2-dev,
                libpulse-dev,
                libqt5svg5-dev,
@@ -15,9 +15,8 @@
                libvolk2-dev,
                portaudio19-dev,
                qtbase5-dev,
-               qtbase5-dev-tools,
-               qtchooser
-Standards-Version: 4.6.0
+               qtbase5-dev-tools
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://gqrx.dk/
 Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gqrx-sdr

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND += -DFMT_DEPRECATED_OSTREAM

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_test:
	echo "No tests defined in gqrx"

## gqrx-sdr 2.16

=== debian/changelog ===
gqrx-sdr (2.16-1) unstable; urgency=medium

  * New upstream release.
  * Adjust volk dependencies. (Closes: #1041529)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 30 Apr 2023 11:28:26 -0400

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
                libpulse-dev,
                libqt5svg5-dev,
                libsndfile1-dev,
-               libvolk2-dev,
+               libvolk-dev | libvolk2-dev,
                portaudio19-dev,
                qtbase5-dev,
                qtbase5-dev-tools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://gqrx.dk/
 Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gqrx-sdr
